Show: Inherited Protected Private Deprecated

# ButtonTableRemove Class

Defined in: `src/ui/react/src/components/buttons/button-table-remove.jsx:4`

The ButtonTableRemove class provides functionality for removing a table

## Index

### Methods

- _removeTable
- render

### Properties

- editor
- key static
- label
- tabIndex

## Methods

### `_removeTable`

() protected

Defined in `src/ui/react/src/components/buttons/button-table-remove.jsx:61`

Removes the table in the editor element.

### `render`

() Object

Defined in `src/ui/react/src/components/buttons/button-table-remove.jsx:47`

Lifecycle. Renders the UI of the button.

#### Returns:

Object:

The content which should be rendered.

## Properties

### `editor`

Object

Defined in `src/ui/react/src/components/buttons/button-table-remove.jsx:12`

The editor instance where the component is being used.

### `key`

String static

Defined in `src/ui/react/src/components/buttons/button-table-remove.jsx:37`

The name which will be used as an alias of the button in the configuration.

Default: tableRemove

### `label`

String

Defined in `src/ui/react/src/components/buttons/button-table-remove.jsx:19`

The label that should be used for accessibility purposes.

### `tabIndex`

Number

Defined in `src/ui/react/src/components/buttons/button-table-remove.jsx:26`

The tabIndex of the button in its toolbar current state. A value other than -1 means that the button has focus and is the active element.